wiki:Errata_0.9.6

Version 10 (modified by anonyme, 7 years ago) (diff)

--

Errata 0.9.6

Cet errata documente seulement les problèmes majeurs du milestone:0.9.6. Pour la liste complète des problèmes connus de la 0.9.6 (et, parfois de leur solution), dirigez vous vers ce rapport. De préférence, signalez le bug directement avant de le noter ici.

  • #1005: Le lien symbolique vers /var/alternc/apacheconf/override_php.conf n'existe pas, il faut absolument le créer et recharger apache:
ln -s /var/alternc/apacheconf/override_php.conf /etc/apache/conf.d/override.php.conf 
/etc/init.d/apache reload
  • #999: bureau non-accessible. Lors de nos tests de release, nous avons pu remarquer que le paquet php4-mysql ne configurant pas correctement le php.ini. Un symptôme de ce problème est que php se plaint que la fonction mysql_pconnect() n'est pas définie. Pour contourner ce problème, décommentez la ligne extension=mysql.so dans /etc/php4/apache/php.ini. D'autres tests nous ont montré qu'il est parfois nécessaire de relancer manuellement apache pour que la configuration d'AlternC prennent effet.
  • #737: welcomeconfirm demandé plusieurs fois. Le message d'avertissement d'alternc est demandé environ 3 fois durant l'installation, répondez simplement oui à chaque fois.
  • #1000: tout pointe vers le bureau. Encore une fois, ce release a le même bug bizarre que le milestone:0.9.5, que je croyais être une hallucination, mais qui est bel et bien réel: après l'upgrade, tous les domaines pointent vers le bureau jusqu'à ce qu'un apachectl graceful soit exécuté. Très bizarre.
  • #1001: fichiers qui traînent:
    dpkg: warning - unable to delete old file `/etc/alternc/templates/php4/cgi': Directory not empty
    dpkg: warning - unable to delete old file `/etc/alternc/templates/php4/apache': Directory not empty
    
    ce sont les php.ini qui ne sont pas effacés lors de l'upgrade. Il est considéré sain de les effacer, car une version rendue est déjà dans /etc/php4/{cgi,apache}/php.ini.
  • #563: php.ini n'est sauvagement plus remplacé! Dès la 0.9.6, le php.ini n'est plus remplacé aux mises à jour et installations d'alternc. Vous êtes donc libre de l'éditer à votre guise. Vous voudrez probablement faire quelques modifictions, telles qu'enlever l'avertissement au haut du fichier et vous synchroniser avec la conf par défaut du paquet Debian. Même chose pour /etc/apache{-ssl,}/httpd.conf.
  • #637: mauvaise version dans le bureau. Le bureau affiche toujours la version 0.9.5. Fix: enlevez les lignes VERSION= et SHOWVERSION= du fichier /etc/alternc/local.sh. Ce n'est en fait plus un bug: le fichier local.sh permet à l'admin de remplacer la chaîne de version parce ce qu'il veut (quitte à l'effacer complètement ou la "brander" à son goût).
  • #1002: Impossible d'effacer des fichiers et répertoires : Problème dû à des accolades mal faites, tout est corrigé dans le commit qui clos le ticket.
  • #1003: Problème de permissions des comptes mail: les comptes de courriels étaient créés avec des mauvaises permissions, à cause d'un problème avec quotemeta. Appliquez le patch [1745], [1758] et [1759].